Skip to main content
POST
/
v1
/
teams
/
{team_id}
/
rclone-import
/
parse
Parse Rclone Config
curl --request POST \
  --url https://api.dataraven.io/v1/teams/{team_id}/rclone-import/parse \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>"
}
'
{
  "remotes": [
    {
      "name": "<string>",
      "location_type": "s3",
      "auth_method": "s3_access_key",
      "has_credentials": true,
      "region": "<string>",
      "bucket_name": "<string>",
      "endpoint_url": "<string>",
      "credential_fields": [
        "<string>"
      ],
      "provider": "<string>"
    }
  ],
  "errors": [
    {
      "remote_name": "<string>",
      "message": "<string>"
    }
  ],
  "skipped": [
    {
      "remote_name": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Body

application/json

Request body for rclone.conf parsing.

content
string
required

Raw rclone.conf file content

Required string length: 1 - 524288

Response

Successful Response

Response from parsing an rclone.conf file (step 1 - preview).

remotes
ParsedRemotePreview · object[]

Successfully parsed remotes ready for import

errors
ParseErrorDetail · object[]

Remotes that failed to parse

skipped
ParseErrorDetail · object[]

Remotes skipped (unsupported but recognized provider types)